import { IUserInfo } from './user-info.interface';
export declare class UserInfoRac implements IUserInfo {
    readonly userId: string;
    readonly userShortName: string;
    readonly userFullName: string;
    readonly tenantId: string;
    readonly tenantShortName: string;
    readonly tenantFullName: string;
    readonly roles: string[];
    readonly token: string;
    static USER_FULL_NAME_CLAIM: string;
    static TENANT_ID_CLAIM: string;
    static TENANT_NAME_CLAIM: string;
    static TENANT_FULL_NAME_CLAIM: string;
    ids: object;
    private constructor();
    static ofJwt(jwt: string): UserInfoRac;
}
