import { CanActivate, Router, UrlTree } from '@angular/router';
import { OAuthAngularService } from './oauth-angular.service';
/**
 * Implementação de guard com uso do serviço de autenticação padrão
 */
export declare class OAuthAngularGuard implements CanActivate {
    private authService;
    private router;
    constructor(authService: OAuthAngularService, router: Router);
    /**
     * Implementação do serviço angular que previne o carregamento de componentes, se necessário
     */
    canActivate(): Promise<boolean | UrlTree>;
}
